Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 159067 - Missing web service checks in maven web projects
Missing web service checks in maven web projects
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Maven
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Milan Kuchtiak
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-24 15:31 UTC by Jaroslav Pospisil
Modified: 2009-03-18 22:36 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Pospisil 2009-02-24 15:31:22 UTC
I've been able to create JAX-RPC web service in J2EE1.4 Maven Web Project, which should be disabled or not displayed at
all,since such functionality shouldn't work in maven projects yet. Also, i've been able to select as server for such web
service Tomcat server,which has only JAX-WS support an should be removed from list of available servers.
Comment 1 Milan Kuchtiak 2009-03-02 13:51:02 UTC
Web services wizards should be probably disabled in J2EE 1.4 modules. Or, may be allow some limited functionality only.
Comment 2 Milan Kuchtiak 2009-03-12 15:43:25 UTC
Fixed:
http://hg.netbeans.org/main/rev/cca0b12cfbbd
Comment 3 Jaroslav Pospisil 2009-03-17 18:23:24 UTC
v
Comment 4 Quality Engineering 2009-03-18 22:36:16 UTC
Integrated into 'main-golden', will be available in build *200903181604* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/cca0b12cfbbd
User: mkuchtiak@netbeans.org
Log: #159067: don't expose WS wizards in Web J2EE 1.4 projects


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo